# Layer 3 Protocol

Blockchain infrastructure is often modeled as a tiered stack of multiple protocols that run on top of each other. This composition method allows newer protocols to add capabilities to the foundational protocols that were created before them.

### Orbs is a layer 3 protocol

Orbs works in conjunction with existing L1 and L2 solutions, such as Ethereum, TON, Polygon, BNB Chain, Avalanche, Fantom etc. An app does not need to move its liquidity onto a different chain in order to utilize Orbs' enhanced execution services.

Orbs acts as a “decentralized backend”, enhancing the capabilities of EVM and non-EVM smart contracts and opening up a whole new spectrum of possibilities for Web 3.0, DeFi, NFTs and GameFi.

## The Blockchain Stack

* **Layer 1 - Security**\
  The foundational blockchain layer is called L1 and provides the core security for the entire stack. This layer often holds the liquidity of all apps running on top (TVL). Popular L1 blockchains include Ethereum and TON.<br>
* **Layer 2 - Scalability**\
  Since the majority of L1s are not necessarily scalable, L2 protocols often focus on increasing transaction throughput, supporting more users and decreasing transaction fees. Popular L2 blockchains include Polygon and Avalanche.<br>
* **Layer 3 - Enhanced Execution**\
  Since L1/L2 contracts are inherently limited in nature and sandboxed, L3 protocols provide enhanced execution capabilities for apps by relying on external validators and oracle networks. Popular L3 blockchains include Chainlink and Orbs.<br>
* **Top layer - Application**\
  The top of the stack is the application layer - decentralized applications (dapps) and protocols that cater to users directly. Dapps consume infrastructure services from the layers below. Popular apps include Uniswap and Compound.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/overview/layer-3-protocol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
